/* scriptris - a free j2me tetris (R) clone with
 * bluetooth multiplayer support
 *
 *
 * (c) 2005-2006 Michael "ScriptKiller" Arndt
 * <scriptkiller@gmx.de>
 * http://scriptkiller.de/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *
 */

import javax.microedition.lcdui.*;


public class gameClientConfig extends Form
    implements CommandListener {

    private Tetris t;
    private Command start, back;
    private TextField name;

    private TextField serverHost, serverPort;

    public gameClientConfig(Tetris t) {

	super("Client-Config");
	this.t=t;

	name=new TextField("Nickname", "Blubb", 15, TextField.ANY);
	// no names, yet
	//append(name);
	append("Bereit, bitte nach Servern suchen!");

	if(t.clientType == Tetris.TYPE_TCP) {

	    serverHost=new TextField("Hostname", t.serverHostName, 100, TextField.ANY);
	    append(serverHost);
	    serverPort=new TextField("Port", Integer.toString(t.serverPort),
				     5, TextField.NUMERIC);
	    append(serverPort);

	    start=new Command("Verbinden", Command.OK, 1);


	}
	else {
	    start=new Command("Suchen", Command.OK, 1);
	}

	back=new Command("Zurck", Command.EXIT, 2);

	addCommand(start);
	addCommand(back);

	setCommandListener(this);


    }

    public void commandAction(Command c, Displayable d) {
	
	if(c == back) {
	    t.showModeSelect();
	}
	else if(c == start) {
	    t.setNickName(name.getString());

	    if(t.clientType == Tetris.TYPE_TCP) {
		t.setServerHostName(serverHost.getString());
		t.setServerPort(Integer.parseInt(serverPort.getString()));
	    }

	    t.startClient();
	}

    }

}
