/* scriptris - a free j2me tetris (R) clone with
 * bluetooth multiplayer support
 *
 *
 * (c) 2005-2006 Michael "ScriptKiller" Arndt
 * <scriptkiller@gmx.de>
 * http://scriptkiller.de/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *
 */

import javax.microedition.lcdui.*;


public class gameServerList extends List
    implements CommandListener {
    
    private Tetris t;
    private Command select, quit;
    private Server servers[];

    public gameServerList(Tetris t, Server servers[]) {
	
	super("Serverliste", List.IMPLICIT);

	this.t=t;
	this.servers=servers;

	for(int i=0;i<servers.length;i++) {
	    append(servers[i].name, null);
	}

	select=new Command("OK", Command.OK, 1);
	quit=new Command("Beenden", Command.EXIT, 2);


	setSelectCommand(select);
	addCommand(quit);

	setCommandListener(this);

    }

    public void commandAction(Command c, Displayable d) {

	if(c == quit) {
	    t.quit();
	}
	else if(c == select) {
	    Server selectedServer=servers[getSelectedIndex()];

	    /* important: remove OK button here - 
	     *            some implementations will ask for bluetooth
	     *            authorization here, reavealing the OK button
	     *            again after auth is granted.
	     *            If you press it again bad things will happen
	     *            (Nokia 6230i)
	     */
	    
	    removeCommand(select);

	    t.connectToServer(selectedServer);
	}


    }


}
